
body {
    margin: 0;
    padding-top: 50px;
    height: 99vh;
    width: 99vw;
}

body > * {
    text-align: center;
    margin: auto;
}

.row {
    margin: 5px auto;
}

.box {
    display: inline-block;
    border: 1px solid grey;
    position: relative;
    width: 75px;
    height: 75px;
}

.box > .final-value,
.box > .pencil-marks {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.box .final-value {
    font-size: 2.5em;
    line-height: 75px;
}


.box > .pencil-marks {

}

.box:nth-child(3n).box:not(:last-child) {
    border-right: black solid 3px;
}

.row:nth-child(3n).row:not(:last-child) .box {
    border-bottom: black solid 3px;
}

.box.computing {
    background-color: rgba(125, 125, 125, 0.5);
}
.box.changed {
    /*background-color: yellow;*/
}
.box.unchanged {
    /*background-color: orange;*/
}
.box.computed {
    /*background-color: lightgreen;*/
}


/* Pencil marks */
.pencil-marks {
    color: rgb(125, 125, 125);
}

.pencil-marks tr td {
}

.pencil-marks tr td.on {
    visibility: initial;
}

.pencil-marks tr td {
    visibility: hidden;
}


#debug-infos, #config {
    position: absolute;
    text-align: center;
    margin: initial;
}

#debug-infos{
    left: 0;
    top: 0;}

#config {
    right: 0;
    top: 0;}


#debug-infos ul {
    text-align: left;
}

#debug-infos li > span:first-of-type {
    font-weight: bold;;
}
